libzypp 17.37.10

zypp::sighandler::SigBacktraceHandler< SIG > Class Template Reference

Signal handler logging a stack trace. More...

## Static Private Member Functions
static void | backtraceHandler (int sig)

## Static Private Attributes
::sighandler_t | lastSigHandler

## Detailed Description

template<int SIG>
class zypp::sighandler::SigBacktraceHandler< SIG >

Signal handler logging a stack trace.

Definition at line 56 of file ZYppFactory.cc.

## Member Function Documentation

## ◆ backtraceHandler()

template<int SIG>

void zypp::sighandler::SigBacktraceHandler< SIG >::backtraceHandler | ( | int | sig | ) |
| inline static private

Definition at line 58 of file ZYppFactory.cc.

## Member Data Documentation

## ◆ lastSigHandler

template<int SIG>

::sighandler_t zypp::sighandler::SigBacktraceHandler< SIG >::lastSigHandler
| static private

Definition at line 63 of file ZYppFactory.cc.

The documentation for this class was generated from the following file:

- zypp/ZYppFactory.cc